APIReference
Получить лидерборд соревнования
Авторизация
apiToken АвторизацияBearer <token>
StackMoreLayers API token. Send as
Authorization: Bearer sml_pat_live_<prefix>.<secret>.
In: header
Параметры пути
competition_id*integer
Numeric competition identifier.
Range
1 <= valueПараметры запроса
phase_id?integer
Restrict the result to a single phase of this competition.
Range
1 <= valueranking_scope?string
Defaults to the current competition category.
Value in
- "main"
- "evergreen"
Ответ
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/competitions/1/leaderboard/"{ "ranking_scope": "main", "phases": [ { "phase_id": 0, "phase_name": "string", "entries": [ { "rank": 1, "username": "string", "entrant_kind": "team", "team_name": "string", "created_when": "2019-08-24T14:15:22Z", "score": 0 } ] } ]}